DEAL(6)

NAME
deal - bridge hand generator

SYNOPSIS
deal [ -ltv ] [ -e expr ] [ -i condition file ] [ -I format ] [ -s seed ] [ -[NSEW] hand-spec ] [ count ]

DESCRIPTION
deal is a program to generate bridge hands.

OPTIONS

-l  Write deals in a "single-line" format.

-t  Print distribution table and exit. The distribution table is an ordered list of all possible hand patterns for a single hand.

-v  Be verbose, print sample count.

-e expr
    Evaluate the Tcl expression expr.

-i condition file
    File that defines the hand type to generate or the output format. (Can be given multiple times.)

-I format
    Read hands from stdin. Formats available are: ddline, giblib, line, pbn, smartstack. You might deal, say, 10,000 hands which satisfy specific criteria, saving them to a file. Then you can use that output for input with deal -I to find out which hands satisfy other constraints.

-s seed
    Initialize random generator with seed.

-[NSEW] hand-spec
    Specifies the cards held by the specified hand. The hand-spec should be of the form: "AK8532 - KQ72 A65". Voids must be represented with a '-' character. hand-spec should be one argument, so the string should be quoted on the command line.

count
    Number of hands to generate, default is 10.

SEE ALSO
/usr/share/doc/deal/html, /usr/share/deal.

AUTHOR
deal was written by Thomas Andrews <deal@thomaso.best.vwh.net>.

This manual page was written by Christoph Berg <cb@df7cb.de>, for the Debian project (but may be used by others).